Bug 707320 - [FEAT] add ability to upload attachments
[FEAT] add ability to upload attachments
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 12:56 EDT by Andy Gospodarek
Modified: 2014-06-29 19:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-27 21:43:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Gospodarek 2011-05-24 12:56:56 EDT
The ability to upload attachments from the command-line would be nice.  Ideally both indicating a filename to upload or piping (preferred!) to the command (a la fpaste) would be cool.

At a minimum, I would like to be able to specify a description and pass a file-name or read from STDIN.

The options for attachments (type, description, comments, obsoletes, privacy, etc) might be complex enough to warrant a new major command rather then adding things to modify, but I have no preference.
Comment 1 Cole Robinson 2012-12-27 21:43:28 EST
This is in all supported fedora versions:

bugzilla attach --file ~/Pictures/cam1.jpg --desc "me, in pain" $BUGID

Note You need to log in before you can comment on or make changes to this bug.